Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.typedef
Interface TypedefFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface TypedefFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `TypedefPackage`

Field Summary
`static TypedefFactory` | `eINSTANCE` The singleton instance of the factory

Method Summary
`CSIDatatype` | `createCSIDatatype()` Returns a new object of class 'CSI Datatype'
`DocumentRoot` | `createDocumentRoot()` Returns a new object of class 'Document Root'
`Entity` | `createEntity()` Returns a new object of class 'Entity'
`Exception` | `createException()` Returns a new object of class 'Exception'
`Feature` | `createFeature()` Returns a new object of class 'Feature'
`PrimitiveType` | `createPrimitiveType()` Returns a new object of class 'Primitive Type'
`TDAnnotationDetail` | `createTDAnnotationDetail()` Returns a new object of class 'TD Annotation Detail'
`TypeAnnotation` | `createTypeAnnotation()` Returns a new object of class 'Type Annotation'
`TypedArray` | `createTypedArray()` Returns a new object of class 'Typed Array'
`TypeLanguageBinding` | `createTypeLanguageBinding()` Returns a new object of class 'Type Language Binding'
`TypedefPackage` | `getTypedefPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final TypedefFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createDocumentRoot

    DocumentRoot createDocumentRoot()

  Returns a new object of class 'Document Root'.

  Returns:
    a new object of class 'Document Root'.

### createCSIDatatype

    CSIDatatype createCSIDatatype()

  Returns a new object of class 'CSI Datatype'.

  Returns:
    a new object of class 'CSI Datatype'.

### createEntity

    Entity createEntity()

  Returns a new object of class 'Entity'.

  Returns:
    a new object of class 'Entity'.

### createFeature

    Feature createFeature()

  Returns a new object of class 'Feature'.

  Returns:
    a new object of class 'Feature'.

### createTypedArray

    TypedArray createTypedArray()

  Returns a new object of class 'Typed Array'.

  Returns:
    a new object of class 'Typed Array'.

### createException

    Exception createException()

  Returns a new object of class 'Exception'.

  Returns:
    a new object of class 'Exception'.

### createTypeAnnotation

    TypeAnnotation createTypeAnnotation()

  Returns a new object of class 'Type Annotation'.

  Returns:
    a new object of class 'Type Annotation'.

### createTDAnnotationDetail

    TDAnnotationDetail createTDAnnotationDetail()

  Returns a new object of class 'TD Annotation Detail'.

  Returns:
    a new object of class 'TD Annotation Detail'.

### createPrimitiveType

    PrimitiveType createPrimitiveType()

  Returns a new object of class 'Primitive Type'.

  Returns:
    a new object of class 'Primitive Type'.

### createTypeLanguageBinding

    TypeLanguageBinding createTypeLanguageBinding()

  Returns a new object of class 'Type Language Binding'.

  Returns:
    a new object of class 'Type Language Binding'.

### getTypedefPackage

    TypedefPackage getTypedefPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD